Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderHome

All Superinterfaces:
  EJBHome, Remote, SmartEJBHome, SmartHome

public interface OrderHome
extends SmartEJBHome

The home interface for the Order entity bean. Use this class to create, remove, and find Order entity beans.

Method Summary
`Order` | `create(OrderPk orderPk)` Create a new Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.
`Collection` | `findByCustomer(String customerIdentifier)` Returns a list of Orders in the system that are associated with the specified Customer identifier.
`Collection` | `findByDate(Date from, Date to)` Returns a list of Orders in the system that fall within the given date range.
`Order` | `findByPrimaryKey(OrderPk orderPk)` Find an Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.
`Collection` | `findByStatus(String findStatus)` Returns an enumeration of all the Orders in the system with the specified status.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public Order create(OrderPk orderPk)
                 throws CreateException,
                        RemoteException

  Create a new Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.

  Throws:
    `CreateException`
    `RemoteException`

### findByCustomer

    public Collection findByCustomer(String customerIdentifier)
                              throws RemoteException,
                                     FinderException

  Returns a list of Orders in the system that are associated with the specified Customer identifier.

  Throws:
    `RemoteException`
    `FinderException`

### findByDate

    public Collection findByDate(Date from,
                                 Date to)
                          throws RemoteException,
                                 FinderException

  Returns a list of Orders in the system that fall within the given date range.

  Throws:
    `RemoteException`
    `FinderException`

### findByPrimaryKey

    public Order findByPrimaryKey(OrderPk orderPk)
                           throws RemoteException,
                                  FinderException

  Find an Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.

  Throws:
    `RemoteException`
    `FinderException`

### findByStatus

    public Collection findByStatus(String findStatus)
                            throws RemoteException,
                                   FinderException

  Returns an enumeration of all the Orders in the system with the specified status.

  Throws:
    `RemoteException`
    `FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved